com.pdfunit.validators

## Class MultiDocumentZugferdValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentZugferdValidator

-     @DoNotObfuscate
      public final class MultiDocumentZugferdValidator
      extends java.lang.Object

  This class is a wrapper around the ZugferdValidator to validate ZUGFeRD data in multiple PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `ZugferdValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentZugferdValidator(MultiDocumentValidator backReference)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentZugferdValidator` | `hasZugferdData()`
    `MultiDocumentZugferdValidator` | `matchingXPath(XPathExpression xpath)` This method processes the given XPath expression against the XMP data of each PDF document.
    `MultiDocumentZugferdValidator` | `withNode(XMLNode node)` This method validates the node name and value, covered by the instance of XMLNode, against all PDF given documents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentZugferdValidator

          protected MultiDocumentZugferdValidator(MultiDocumentValidator backReference)

  - ### Method Detail

    - #### matchingXPath

          @Guarded
          public MultiDocumentZugferdValidator matchingXPath(XPathExpression xpath)

      This method processes the given XPath expression against the XMP data of each PDF document.

      The XPath expression must result in a type boolean.

    - #### withNode

          @Guarded
          public MultiDocumentZugferdValidator withNode(XMLNode node)

      This method validates the node name and value, covered by the instance of XMLNode, against all PDF given documents.

    - #### hasZugferdData

          public MultiDocumentZugferdValidator hasZugferdData()

Copyright (C) PDFUnit.com. See here for license.